Issue recurring - task #9

New scheduling algorithm: fixed schedule, but recur only after closing last issue
2018-11-05 17:28 - admin

Status: closed
Priority: feature
Assignee: cryptogopher
Category:

Target version: unspecified
Redmine version: unspecified
Description

Next recurrence should be added after close date (i.e. recurrences scheduled between last issue and close date should be
omitted/not created). This should work with in-place modification.

This is meant for tasks that should be completed on fixed schedule, but can be omitted if previous planned execution is delayed till
the next one. In this scenario we don't want to have multiple recurrences open at the same time (when multiple executions can be
merged into one, e.g. downloading all past bank account statements).

Description for 'based on' form field: last recurrence date, but only after close date
Should allow for multiple in-place schedules, but only of the same algorithm.

History

#1 - 2018-11-05 17:28 - admin

- Assignee changed from admin to cryptogopher

#2 - 2019-02-19 19:36 - cryptogopher

- Description updated

#3 - 2019-02-19 19:41 - cryptogopher

- Description updated

#4 - 2019-05-07 00:41 - cryptogopher

- Description updated

#5 - 2019-07-03 18:48 - cryptogopher

- Status changed from new to in progress

#6 - 2019-07-14 14:10 - cryptogopher

- Status changed from in progress to closed

Merged in 8806497d

#7 - 2023-06-08 15:21 - admin

- Priority changed from support to feature

#8 - 2023-06-08 15:31 - admin
- Tracker changed from 2 to task
- Target version set to unspecified

- Redmine version set to unspecified
https://it.michalczyk.pro/projects/issue-recurring/repository/revisions/8806497d37b68c253cbac94d40029e9bc1ac7a8d
